Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.dom
Class DOMtoSAX

    java.lang.Object
      com.novell.xml.dom.DOMtoSAX

All Implemented Interfaces:
  Parser

    public class DOMtoSAX

extends Object
implements Parser

Class to convert a DOM tree into a series of SAX events. This implements org.xml.sax.Parser so a SAX processor can treat it normally. However, the InputSource is ignored, since the source DOM tree is specified in the constructor.

Constructor Summary
`DOMtoSAX(Document document)` Create a DOMtoSAX object that uses the passed document as input.

Method Summary
`void` | `parse(InputSource source)` Parse an XML document.
`void` | `parse(String systemId)` Parse an XML document from a system identifier (URI).
`void` | `setDocumentHandler(DocumentHandler handler)` Allow an application to register a document event handler.
`void` | `setDTDHandler(DTDHandler handler)` Allow an application to register a DTD event handler.
`void` | `setEntityResolver(EntityResolver resolver)` Allow an application to register a custom entity resolver.
`void` | `setErrorHandler(ErrorHandler handler)` Allow an application to register an error event handler.
`void` | `setLocale(Locale locale)` Allow an application to request a locale for errors and warnings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMtoSAX

    public DOMtoSAX(Document document)

  Create a DOMtoSAX object that uses the passed document as input.

  Parameters:
    `document` - The DOM tree to parse

Method Detail

### setLocale

    public void setLocale(Locale locale)
                   throws SAXException

  Allow an application to request a locale for errors and warnings.

  SAX parsers are not required to provide localisation for errors and warnings; if they cannot support the requested locale, however, they must throw a SAX exception. Applications may not request a locale change in the middle of a parse.

  Specified by:
    `setLocale` in interface `Parser`
  Parameters:
    `locale` - A Java Locale object.
  Throws:
    `SAXException` - Throws an exception (using the previous or default locale) if the requested locale is not supported.
  See Also:
    `SAXException`, `SAXParseException`

### setEntityResolver

    public void setEntityResolver(EntityResolver resolver)

  Allow an application to register a custom entity resolver.

  If the application does not register an entity resolver, the SAX parser will resolve system identifiers and open connections to entities itself (this is the default behaviour implemented in HandlerBase).

  Applications may register a new or different entity resolver in the middle of a parse, and the SAX parser must begin using the new resolver immediately.

  Specified by:
    `setEntityResolver` in interface `Parser`
  Parameters:
    `resolver` - The object for resolving entities.
  See Also:
    `EntityResolver`, `HandlerBase`

### setDTDHandler

    public void setDTDHandler(DTDHandler handler)

  Allow an application to register a DTD event handler.

  If the application does not register a DTD handler, all DTD events reported by the SAX parser will be silently ignored (this is the default behaviour implemented by HandlerBase).

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setDTDHandler` in interface `Parser`
  Parameters:
    `handler` - The DTD handler.
  See Also:
    `DTDHandler`, `HandlerBase`

### setDocumentHandler

    public void setDocumentHandler(DocumentHandler handler)

  Allow an application to register a document event handler.

  If the application does not register a document handler, all document events reported by the SAX parser will be silently ignored (this is the default behaviour implemented by HandlerBase).

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setDocumentHandler` in interface `Parser`
  Parameters:
    `handler` - The document handler.
  See Also:
    `DocumentHandler`, `HandlerBase`

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)

  Allow an application to register an error event handler.

  If the application does not register an error event handler, all error events reported by the SAX parser will be silently ignored, except for fatalError, which will throw a SAXException (this is the default behaviour implemented by HandlerBase).

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setErrorHandler` in interface `Parser`
  Parameters:
    `handler` - The error handler.
  See Also:
    `ErrorHandler`, `SAXException`, `HandlerBase`

### parse

    public void parse(InputSource source)
               throws SAXException,
                      IOException

  Parse an XML document.

  The application can use this method to instruct the SAX parser to begin parsing an XML document from any valid input source (a character stream, a byte stream, or a URI).

  Applications may not invoke this method while a parse is in progress (they should create a new Parser instead for each additional XML document). Once a parse is complete, an application may reuse the same Parser object, possibly with a different input source.

  Specified by:
    `parse` in interface `Parser`
  Parameters:
    `source` - The input source for the top-level of the XML document.
  Throws:
    `SAXException` - Any SAX exception, possibly wrapping another exception.
    `IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
  See Also:
    `InputSource`, `parse(java.lang.String)`, `setEntityResolver(org.xml.sax.EntityResolver)`, `setDTDHandler(org.xml.sax.DTDHandler)`, `setDocumentHandler(org.xml.sax.DocumentHandler)`, `setErrorHandler(org.xml.sax.ErrorHandler)`

### parse

    public void parse(String systemId)
               throws SAXException,
                      IOException

  Parse an XML document from a system identifier (URI).

  This method is a shortcut for the common case of reading a document from a system identifier. It is the exact equivalent of the following:

       parse(new InputSource(systemId));

  If the system identifier is a URL, it must be fully resolved by the application before it is passed to the parser.

  Specified by:
    `parse` in interface `Parser`
  Parameters:
    `systemId` - The system identifier (URI).
  Throws:
    `SAXException` - Any SAX exception, possibly wrapping another exception.
    `IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.
  See Also:
    `parse(org.xml.sax.InputSource)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD